using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Models;
using LoveDAL;
namespace LoveBLL
{
   public static  class ArticleManager
    {

       public static Boolean AddArti(Article article)
       {
           return ArticleService.AddArticle(article);
       }
       public static  void UpArti(Article article)
       {
           ArticleService.UpdateArticle(article);
       }
       public static  void DelArti(Article article)
       {
           ArticleService.DeleteArticle(article);
       }
       public static  IList<Article> GetAllArti()
       {
           return ArticleService.GetArticleAll();
       }
       public static  IList<Article> GetUserByUserId(int id)
       {
           return ArticleService.GetArticleByUserId(id);
       }
       public static  IList<Article> GetArtiById(int id)
       {
           return ArticleService.GetAriById(id);
       }
       public static string GetPart(string arti_contents, int num)
       {
           return ArticleService.GetPartString(arti_contents, num);
       }
       public static int GetArtiNum()
       {
           return ArticleService.GetArticleNumber();
       }
       public static IList<Article> GetArticlePart()
       {
           return ArticleService.GetArticlePart();
       }
       public static IList<Article> GetStory()
       {
           return ArticleService.GetStroyPart();
       }
    }
}
